MCS(1)

NAME
mcs - manipulate the comment section of an ELF object

SYNOPSIS
mcs [-a string] [-c] [-n name] [-p] file ...
mcs -d [-n name] file ...
mcs -h | --help
mcs -V | --version

DESCRIPTION
The mcs utility is used to manipulate comment sections in an ELF object. If a command-line argument file names an ar(1) archive, then mcs will operate on the ELF objects contained in the archive.

By default mcs operates on the ELF section named “.comment”. This may be changed using the -n option.

The mcs utility supports the following options:

-a string
    Append the text in string to the comment section. This option may be specified multiple times.

-c  Compress the comment section by removing duplicate entries.

-d  Delete the comment section from the ELF object.

-h | --help
    Display a usage message and exit.

-n name
    Operate on the section named name.

-p  Print the contents of the comment section. This step is taken after actions specified by the -a and -c options (if any) are completed.

-V | --version
    Print a version identifier and exit.

COMPATIBILITY
The behavior of the mcs utility differs from its SVR4 counterpart in the following ways:
•   If the -d option is specified, it causes any -a, -c and -p options present to be ignored.
•   The order of options -a, -c, -d, and -p on the command line is not significant.

DIAGNOSTICS

SEE ALSO
ar(1), elfcopy(1), ld(1), nm(1), strip(1)